<template>
  <el-row :gutter="0" class="row">
    <el-col class="col-5" v-for="(item, index) in forumTopic" :key="index" >
      <el-row :gutter="40" class="mid">
        <el-col :xs="12" :sm="12" :lg="6" class="padd-icon-left">
          <div class="icon-green">
            <svg-icon icon-class="update-arrow" class-name="card-panel-icon" />
          </div>
        </el-col>
        <el-col :xs="12" :sm="12" :lg="18" class="padd-icon-right">
          <div class="card-panel-text-black">{{ item.tag.tag_name }}</div>
        </el-col>
      </el-row>
      <div class="progress progress-padd">
        <transition appear>
          <el-progress :text-inside="true" :stroke-width="35" :percentage="getPercentageValue(item.percentage)"></el-progress>
        </transition>
        <div class="farmer-count farmer-count--percent">{{ getPercentageValue(item.percentage) }} %</div>
        <div class="farmer-count farmer-count--decimal">
          {{ item.count }}
          <svg-icon icon-class="people-dark-green" />
        </div>
      </div>
      <div class="row-info" v-for="(val, key) in item.user_count" :key=key>
        <div class="row-info-text">{{ val.name }}</div>
        <div class="row-info-percentage">{{ val.percentage }}</div>
      </div>
    </el-col>
  </el-row>
</template>
<script>
export default {
  name: 'Topik',
  computed: {
    forumTopic: {
      get: function() {
        return this.$store.state.forum.forumTopic;
      }
    }
  },
  methods: {
    getPercentageValue: function(percent_str) {
      if (typeof percent_str === 'undefined') {
        return 0.0;
      }
      return parseFloat(percent_str.split(" ")[0]);
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" >
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.icon-green {
  width: 48px;
  height: 48px;
  border-radius: 6px;
  background-color: #76be40;
  display: flex;
  justify-content: center;
  align-items: center;

  .svg-icon {
    width: 30px;
    height: 30px;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
}

.row-info {
  background-color: #d2d9cd8c;
  padding: 7px 20px;
  opacity: 0.6;
}

.row-mid {
  background-color: #d2e0c65c;
}

.row-info-percentage {
  color: #086939;
  font-size: 12px;
  font-weight: bold;
  display: inline-block;
  width: 25%;
  text-align: right;
}
.row-info-text {
  color: #373737;
  font-size: 12px;
  display: inline-block;
  width: 70%;
}
.mid {
  display: flex;
  align-items: center;
}
.progress {
  margin: 10px 0 16px 0;
}
.col-5 {
  width: 20%;
  border-right: 1px solid $ritx-light-grey-3;
}
.row {
  margin: 0 -16px;
}
.pad, .progress-padd {
  padding: 0 20px;
}

.padd-icon-left {
  padding-left: 40px!important;
}
.padd-icon-right {
  padding-right: 40px!important;
}
</style>
